Beefy Boxes and Bandwidth Generously Provided by pair Networks
XP is just a number
 
PerlMonks  

Re^4: Par::Packer, include conf files or not ?

by HJO (Acolyte)
on Sep 24, 2012 at 10:12 UTC ( #995339=note: print w/ replies, xml ) Need Help??


in reply to Re^3: Par::Packer, include conf files or not ?
in thread Par::Packer, include conf files or not ?

"but if you can't install pp how to you expect to use it to develop and test your application in it's packaged form?"

I understand your point, and I'm working on that part of the problem.

"of course a package generated by pp can read files external to it"

That's what I needed to know, thanks. It wasn't obvious for me, I thought that the script was "converted" or so and was asking myself if the result will still be able to process some external files

"since you're going to delopy to many servers which you may not have control over, do you think it's wise?"

I think I'm going to follow my first though that you confirmed, I will include every single file in my package.

"That said, had you a working pp installed you'd be able to test this for yourself."

Yes, I know that and I'm going to try to install it properly to make my tests... If that doesn't work out well, I'll probably post something else in a few days... Anyway thank you for your answers


Comment on Re^4: Par::Packer, include conf files or not ?
Re^5: Par::Packer, include conf files or not ?
by marto (Bishop) on Sep 24, 2012 at 10:15 UTC

    Out of curiosity, how are you trying to install pp? On MS Windows (using Strawberry Perl), Linux and Solaris the following command works without problems:

    cpan pp

      I used basically the same, but then I got a lot of dependencies and one of them got make install errors (Compress::Raw::Zlib) :

      CPAN.pm: Going to build P/PM/PMQS/Compress-Raw-Zlib-2.056.tar.gz Parsing config.in... Building Zlib enabled Auto Detect Gzip OS Code.. Setting Gzip OS Code to 3 [Unix/Default] Looks Good. Up/Downgrade not needed. WARNING: META_MERGE is not a known parameter. Checking if your kit is complete... Looks good 'META_MERGE' is not a known MakeMaker parameter name. Writing Makefile for Compress::Raw::Zlib cp lib/Compress/Raw/Zlib.pm blib/lib/Compress/Raw/Zlib.pm AutoSplitting blib/lib/Compress/Raw/Zlib.pm (blib/lib/auto/Compress/Ra +w/Zlib) /usr/bin/perl /usr/lib/perl5/5.8.8/ExtUtils/xsubpp -typemap /usr/lib/ +perl5/5.8.8/ExtUtils/typemap -typemap typemap Zlib.xs > Zlib.xsc && +mv Zlib.xsc Zlib.c gcc -c -I./zlib-src -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing - +pipe -Wdeclaration-after-statement -I/usr/local/include -D_LARGEFILE_ +SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -O2 -g -pipe -Wall +-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-bu +ffer-size=4 -m64 -mtune=generic -DVERSION=\"2.056\" -DXS_VERSION=\" +2.056\" -fPIC "-I/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/COR +E" -DNO_VIZ -DZ_SOLO -DGZIP_OS_CODE=3 -DUSE_PPPORT_H Zlib.c /bin/sh: gcc: command not found make: *** [Zlib.o] Error 127 /usr/bin/make -- NOT OK Running make test Can't test without successful make Running make install make had returned bad status, install seems impossible

      And every one of the make test of the others modules had errors(related to the absence of Compress::Raw::Zlib.pm) So in the end, when the "installation" finished, I typed pp -h and got :

      Can't locate Compress/Raw/Zlib.pm in @INC (@INC contains: /usr/lib64/p +erl5/site_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/site_pe +rl/5.8.8 /usr/lib/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.8.8/ +x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/p +erl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi /us +r/lib/perl5/5.8.8 .) at /usr/lib/perl5/site_perl/5.8.8/Archive/Zip.pm + line 12. BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/Ar +chive/Zip.pm line 12. Compilation failed in require at /usr/lib/perl5/site_perl/5.8.8/PAR/Pa +cker.pm line 28. BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/PA +R/Packer.pm line 28. Compilation failed in require at /usr/lib/perl5/site_perl/5.8.8/pp.pm +line 5. BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/pp +.pm line 5. Compilation failed in require at /usr/bin/pp line 8. BEGIN failed--compilation aborted at /usr/bin/pp line 8.

        gcc: command not found

        Does the system you're running on have gcc installed?

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://995339]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others musing on the Monastery: (6)
As of 2014-12-27 06:04 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    Is guessing a good strategy for surviving in the IT business?





    Results (176 votes), past polls